<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\VhsNachricht;

class VhsNachrichtController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase()
  {
    return new VhsNachrichtUseCase($this->getRequestObj());
  }
  
  protected function getRequestObj()
  {
    return new VhsNachrichtRequest();
  }
  
  function getPresenter($pUseCaseResponse)
  {
    return new VhsNachrichtPresenter($pUseCaseResponse);
  }
}